Rename Print Composer to Layout
Easy fix?: No Copied to github as #: 14814
Description

As an effort of standardization, | believe it might be positive to change the name of the Print Composer to "Layout". It would be more
uniform with what is common in graphic design, CAD and other standard GIS apps. This would also lessen the training and adjustment
effort that users would have to make to use the software, thus reducing barrier to entry.

So, | recommend this :

New Print Composer > New Layout
Composer Manager > Layout Manager
Print Composers > Layouts

History

#1 - 2012-04-15 10:21 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#2 - 2012-05-28 10:02 AM - Antonio Locandro

| do feel this is necessary, Qgis should try to align itself to a 'standardization' so it would be easier to adjust.

#3 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-05-03 10:09 AM - Antonio Locandro

Maybe a decision should be reached on this instead of leaving a ticket open indefinitely. Do we rename Composer to Layout or not. If the consensus is

Composer is good enough and QGIS users are familiar with it then let's close this, on the other hand if Layout seems a more used term then let's just
change it at least in the GUI not in any API or Python plugins which make this a difficult thing to change

#5 - 2014-09-27 10:26 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Open to Closed

Closing this - | think this should be discussed on the Dev list rather than in the issue tracker.
